#' Functions re-exported from the TAF package
#'

#' These functions are re-exported from the TAF package.
#'
#' Follow the links below to see the documentation.
#' \code{\link[TAF]{makeAll}}, \code{\link[TAF]{taf.install}}, \code{\link[TAF]{parse.repo}}, \code{\link[TAF]{taf2long}}, \code{\link[TAF]{write.taf}}, \code{\link[TAF]{utf8.to.latin1}}, \code{\link[TAF]{download}}, \code{\link[TAF]{clean.boot}}, \code{\link[TAF]{flr2taf}}, \code{\link[TAF]{get.remote.sha}}, \code{\link[TAF]{taf.bootstrap}}, \code{\link[TAF]{xtab2taf}}, \code{\link[TAF]{long2taf}}, \code{\link[TAF]{source.taf}}, \code{\link[TAF]{ds.file}}, \code{\link[TAF]{div}}, \code{\link[TAF]{detach.packages}}, \code{\link[TAF]{rnd}}, \code{\link[TAF]{taf2xtab}}, \code{\link[TAF]{ds.package}}, \code{\link[TAF]{long2xtab}}, \code{\link[TAF]{os.linux}}, \code{\link[TAF]{taf.png}}, \code{\link[TAF]{os.macos}}, \code{\link[TAF]{os}}, \code{\link[TAF]{period}}, \code{\link[TAF]{tt}}, \code{\link[TAF]{clean.data}}, \code{\link[TAF]{zoom.trellis}}, \code{\link[TAF]{zoom}}, \code{\link[TAF]{unix2dos}}, \code{\link[TAF]{dos2unix}}, \code{\link[TAF]{mkdir}}, \code{\link[TAF]{convert.spaces}}, \code{\link[TAF]{lim}}, \code{\link[TAF]{is.r.package}}, \code{\link[TAF]{clean.software}}, \code{\link[TAF]{taf.boot.path}}, \code{\link[TAF]{sourceAll}}, \code{\link[TAF]{plus}}, \code{\link[TAF]{taf.sources}}, \code{\link[TAF]{msg}}, \code{\link[TAF]{process.entry}}, \code{\link[TAF]{taf.data.path}}, \code{\link[TAF]{download.github}}, \code{\link[TAF]{deps}}, \code{\link[TAF]{taf.session}}, \code{\link[TAF]{os.unix}}, \code{\link[TAF]{xtab2long}}, \code{\link[TAF]{os.windows}}, \code{\link[TAF]{draft.data}}, \code{\link[TAF]{read.taf}}, \code{\link[TAF]{clean}}, \code{\link[TAF]{model.script}}, \code{\link[TAF]{taf.libPaths}}, \code{\link[TAF]{draft.software}}, \code{\link[TAF]{sourceDir}}, \code{\link[TAF]{taf.boot}}, \code{\link[TAF]{file.encoding}}, \code{\link[TAF]{latin1.to.utf8}}, \code{\link[TAF]{clean.library}}, \code{\link[TAF]{tafpng}}, \code{\link[TAF]{sourceTAF}}, \code{\link[TAF]{taf2html}}, \code{\link[TAF]{source.all}}, \code{\link[TAF]{extract.subdir}}, \code{\link[TAF]{taf.library}}, \code{\link[TAF]{read.bib}}, \code{\link[TAF]{boot.exists}}, \code{\link[TAF]{boot.dir}}, \code{\link[TAF]{stamp.description}}, \code{\link[TAF]{make.all}}, \code{\link[TAF]{make.taf}}, \code{\link[TAF]{make}}, \code{\link[TAF]{boot.dir.inside}}, \code{\link[TAF]{model.dir}}, \code{\link[TAF]{line.endings}}, \code{\link[TAF]{already.in.taf.library}}, \code{\link[TAF]{taf.unzip}}, \code{\link[TAF]{process.bibfile}}, \code{\link[TAF]{cp}}, \code{\link[TAF]{makeTAF}}, \code{\link[TAF]{rmdir}}, \code{\link[TAF]{source.dir}}, \code{\link[TAF]{sam2taf}}
#'
#' @importFrom TAF makeAll
#' @name taf-reexports
#' @keywords internal
#' @export
makeAll <- TAF::makeAll

#' @importFrom TAF taf.install
#' @rdname taf-reexports
#' @export
taf.install <- TAF::taf.install

#' @importFrom TAF parse.repo
#' @rdname taf-reexports
#' @export
parse.repo <- TAF::parse.repo

#' @importFrom TAF taf2long
#' @rdname taf-reexports
#' @export
taf2long <- TAF::taf2long

#' @importFrom TAF write.taf
#' @rdname taf-reexports
#' @export
write.taf <- TAF::write.taf

#' @importFrom TAF utf8.to.latin1
#' @rdname taf-reexports
#' @export
utf8.to.latin1 <- TAF::utf8.to.latin1

#' @importFrom TAF download
#' @rdname taf-reexports
#' @export
download <- TAF::download

#' @importFrom TAF clean.boot
#' @rdname taf-reexports
#' @export
clean.boot <- TAF::clean.boot

#' @importFrom TAF flr2taf
#' @rdname taf-reexports
#' @export
flr2taf <- TAF::flr2taf

#' @importFrom TAF get.remote.sha
#' @rdname taf-reexports
#' @export
get.remote.sha <- TAF::get.remote.sha

#' @importFrom TAF taf.bootstrap
#' @rdname taf-reexports
#' @export
taf.bootstrap <- TAF::taf.bootstrap

#' @importFrom TAF xtab2taf
#' @rdname taf-reexports
#' @export
xtab2taf <- TAF::xtab2taf

#' @importFrom TAF long2taf
#' @rdname taf-reexports
#' @export
long2taf <- TAF::long2taf

#' @importFrom TAF source.taf
#' @rdname taf-reexports
#' @export
source.taf <- TAF::source.taf

#' @importFrom TAF ds.file
#' @rdname taf-reexports
#' @export
ds.file <- TAF::ds.file

#' @importFrom TAF div
#' @rdname taf-reexports
#' @export
div <- TAF::div

#' @importFrom TAF detach.packages
#' @rdname taf-reexports
#' @export
detach.packages <- TAF::detach.packages

#' @importFrom TAF rnd
#' @rdname taf-reexports
#' @export
rnd <- TAF::rnd

#' @importFrom TAF taf2xtab
#' @rdname taf-reexports
#' @export
taf2xtab <- TAF::taf2xtab

#' @importFrom TAF ds.package
#' @rdname taf-reexports
#' @export
ds.package <- TAF::ds.package

#' @importFrom TAF long2xtab
#' @rdname taf-reexports
#' @export
long2xtab <- TAF::long2xtab

#' @importFrom TAF os.linux
#' @rdname taf-reexports
#' @export
os.linux <- TAF::os.linux

#' @importFrom TAF taf.png
#' @rdname taf-reexports
#' @export
taf.png <- TAF::taf.png

#' @importFrom TAF os.macos
#' @rdname taf-reexports
#' @export
os.macos <- TAF::os.macos

#' @importFrom TAF os
#' @rdname taf-reexports
#' @export
os <- TAF::os

#' @importFrom TAF period
#' @rdname taf-reexports
#' @export
period <- TAF::period

#' @importFrom TAF tt
#' @rdname taf-reexports
#' @export
tt <- TAF::tt

#' @importFrom TAF clean.data
#' @rdname taf-reexports
#' @export
clean.data <- TAF::clean.data

#' @importFrom TAF zoom.trellis
#' @rdname taf-reexports
#' @export
zoom.trellis <- TAF::zoom.trellis

#' @importFrom TAF zoom
#' @rdname taf-reexports
#' @export
zoom <- TAF::zoom

#' @importFrom TAF unix2dos
#' @rdname taf-reexports
#' @export
unix2dos <- TAF::unix2dos

#' @importFrom TAF dos2unix
#' @rdname taf-reexports
#' @export
dos2unix <- TAF::dos2unix

#' @importFrom TAF mkdir
#' @rdname taf-reexports
#' @export
mkdir <- TAF::mkdir

#' @importFrom TAF convert.spaces
#' @rdname taf-reexports
#' @export
convert.spaces <- TAF::convert.spaces

#' @importFrom TAF lim
#' @rdname taf-reexports
#' @export
lim <- TAF::lim

#' @importFrom TAF is.r.package
#' @rdname taf-reexports
#' @export
is.r.package <- TAF::is.r.package

#' @importFrom TAF clean.software
#' @rdname taf-reexports
#' @export
clean.software <- TAF::clean.software

#' @importFrom TAF taf.boot.path
#' @rdname taf-reexports
#' @export
taf.boot.path <- TAF::taf.boot.path

#' @importFrom TAF sourceAll
#' @rdname taf-reexports
#' @export
sourceAll <- TAF::sourceAll

#' @importFrom TAF plus
#' @rdname taf-reexports
#' @export
plus <- TAF::plus

#' @importFrom TAF taf.sources
#' @rdname taf-reexports
#' @export
taf.sources <- TAF::taf.sources

#' @importFrom TAF msg
#' @rdname taf-reexports
#' @export
msg <- TAF::msg

#' @importFrom TAF process.entry
#' @rdname taf-reexports
#' @export
process.entry <- TAF::process.entry

#' @importFrom TAF taf.data.path
#' @rdname taf-reexports
#' @export
taf.data.path <- TAF::taf.data.path

#' @importFrom TAF download.github
#' @rdname taf-reexports
#' @export
download.github <- TAF::download.github

#' @importFrom TAF deps
#' @rdname taf-reexports
#' @export
deps <- TAF::deps

#' @importFrom TAF taf.session
#' @rdname taf-reexports
#' @export
taf.session <- TAF::taf.session

#' @importFrom TAF os.unix
#' @rdname taf-reexports
#' @export
os.unix <- TAF::os.unix

#' @importFrom TAF xtab2long
#' @rdname taf-reexports
#' @export
xtab2long <- TAF::xtab2long

#' @importFrom TAF os.windows
#' @rdname taf-reexports
#' @export
os.windows <- TAF::os.windows

#' @importFrom TAF draft.data
#' @rdname taf-reexports
#' @export
draft.data <- TAF::draft.data

#' @importFrom TAF read.taf
#' @rdname taf-reexports
#' @export
read.taf <- TAF::read.taf

#' @importFrom TAF clean
#' @rdname taf-reexports
#' @export
clean <- TAF::clean

#' @importFrom TAF model.script
#' @rdname taf-reexports
#' @export
model.script <- TAF::model.script

#' @importFrom TAF taf.libPaths
#' @rdname taf-reexports
#' @export
taf.libPaths <- TAF::taf.libPaths

#' @importFrom TAF draft.software
#' @rdname taf-reexports
#' @export
draft.software <- TAF::draft.software

#' @importFrom TAF sourceDir
#' @rdname taf-reexports
#' @export
sourceDir <- TAF::sourceDir

#' @importFrom TAF taf.boot
#' @rdname taf-reexports
#' @export
taf.boot <- TAF::taf.boot

#' @importFrom TAF file.encoding
#' @rdname taf-reexports
#' @export
file.encoding <- TAF::file.encoding

#' @importFrom TAF latin1.to.utf8
#' @rdname taf-reexports
#' @export
latin1.to.utf8 <- TAF::latin1.to.utf8

#' @importFrom TAF clean.library
#' @rdname taf-reexports
#' @export
clean.library <- TAF::clean.library

#' @importFrom TAF tafpng
#' @rdname taf-reexports
#' @export
tafpng <- TAF::tafpng

#' @importFrom TAF sourceTAF
#' @rdname taf-reexports
#' @export
sourceTAF <- TAF::sourceTAF

#' @importFrom TAF taf2html
#' @rdname taf-reexports
#' @export
taf2html <- TAF::taf2html

#' @importFrom TAF source.all
#' @rdname taf-reexports
#' @export
source.all <- TAF::source.all

#' @importFrom TAF extract.subdir
#' @rdname taf-reexports
#' @export
extract.subdir <- TAF::extract.subdir

#' @importFrom TAF taf.library
#' @rdname taf-reexports
#' @export
taf.library <- TAF::taf.library

#' @importFrom TAF read.bib
#' @rdname taf-reexports
#' @export
read.bib <- TAF::read.bib

#' @importFrom TAF boot.exists
#' @rdname taf-reexports
#' @export
boot.exists <- TAF::boot.exists

#' @importFrom TAF boot.dir
#' @rdname taf-reexports
#' @export
boot.dir <- TAF::boot.dir

#' @importFrom TAF stamp.description
#' @rdname taf-reexports
#' @export
stamp.description <- TAF::stamp.description

#' @importFrom TAF make.all
#' @rdname taf-reexports
#' @export
make.all <- TAF::make.all

#' @importFrom TAF make.taf
#' @rdname taf-reexports
#' @export
make.taf <- TAF::make.taf

#' @importFrom TAF make
#' @rdname taf-reexports
#' @export
make <- TAF::make

#' @importFrom TAF boot.dir.inside
#' @rdname taf-reexports
#' @export
boot.dir.inside <- TAF::boot.dir.inside

#' @importFrom TAF model.dir
#' @rdname taf-reexports
#' @export
model.dir <- TAF::model.dir

#' @importFrom TAF line.endings
#' @rdname taf-reexports
#' @export
line.endings <- TAF::line.endings

#' @importFrom TAF already.in.taf.library
#' @rdname taf-reexports
#' @export
already.in.taf.library <- TAF::already.in.taf.library

#' @importFrom TAF taf.unzip
#' @rdname taf-reexports
#' @export
taf.unzip <- TAF::taf.unzip

#' @importFrom TAF process.bibfile
#' @rdname taf-reexports
#' @export
process.bibfile <- TAF::process.bibfile

#' @importFrom TAF cp
#' @rdname taf-reexports
#' @export
cp <- TAF::cp

#' @importFrom TAF makeTAF
#' @rdname taf-reexports
#' @export
makeTAF <- TAF::makeTAF

#' @importFrom TAF rmdir
#' @rdname taf-reexports
#' @export
rmdir <- TAF::rmdir

#' @importFrom TAF source.dir
#' @rdname taf-reexports
#' @export
source.dir <- TAF::source.dir

#' @importFrom TAF sam2taf
#' @rdname taf-reexports
#' @export
sam2taf <- TAF::sam2taf

#' @importFrom TAF taf.skeleton
#' @rdname taf-reexports
#' @export
taf.skeleton <- function(path = ".", force = FALSE, pkgs = "icesTAF") {
  TAF::taf.skeleton(path = path, force = force, pkgs = pkgs)
}
